<div id="top"></div>

<!-- PROJECT LOGO -->
<br />
<div align="center">
  <a href="https://github.com/wardvisual/engine-warvil">
    <img src="./public/banner.svg" alt="banner">
  </a>
  <br />
  <h2 align="center">Engine Warvil</h2>

  <p align=" center">Warvil is an intelligent chatbot powered by artificial intelligence. It is designed to provide helpful and insightful answers to your questions. Warvil can learn from its conversations with you, allowing it to become increasingly efficient and knowledgeable over time.</p>
  <h4>THIS PROJECT IS UNDER DEVELOPMENT</h4>
    <br />
    <a href="https://engine-warvil.vercel.app/"><strong>View Project »</strong></a>
    <br />    
    <br />
    <a href="https://github.com/wardvisual/engine-warvil">View Demo</a>
    ·
    <a href="https://github.com/wardvisual/engine-warvil/issues">Report Bug</a>
    ·
    <a href="https://github.com/wardvisual/engine-warvil/issues">Request Feature</a>
  
</div>

<br />
<a href="https://github.com/wardvisual/engine-warvil">
   <img src="./public/banner.jpg" alt="homepage">
</a>

<br />
<!-- BUILT WITH -->

<hr />

### Built With

- [Next.js](https://nextjs.org/)
- [Typescript](https://www.typescriptlang.org/)
- [OpenAI](https://openai.com/)

<!-- INSTALLATION -->

### Installation

1. Clone the repo

   ```sh
   git clone https://github.com/wardvisual/engine-warvil.git
   ```

2. Install NPM packages

   ```sh
   cd engine-warvil && npm install
   ```

### Setup

1. Create a copy of `.env.example` file

   ```sh
   cp .env.example .env
   ```

2. Enter your OpenAI API Key in `.env` file

   ```sh
   OPENAI_API_KEY = 'ENTER YOUR OpenAI API KEY'
   ```

<hr />

<!-- FEATURES -->

### Key Features

Some of these features may not respond correctly while they are being developed.

<details>
  <summary>Answer Basic Questions </summary>
    Warvil is able to answer basic questions about a variety of topics using artificial intelligence.
</details>
<details>
  <summary>Generate Code </summary>
    Warvil can generate code for a variety of programming languages based on your specifications.
</details>
<details>
  <summary>Generate Thesis Titles </summary>
    Warvil can generate potential titles for your thesis or research project.
</details>
<details>
  <summary>Correct Grammar </summary>
    Warvil can help you improve your writing by correcting grammar errors and providing suggestions for improvement.
</details>
<details>
  <summary>Paraphrase Text </summary>
    Warvil can rewrite text to convey the same information in a different way, making it easier to understand.
</details>
<details>
  <summary>Summarize </summary>
    Warvil can generate a summary of longer pieces of text, helping you save time and focus on the most important information.
</details>
<details>
  <summary>Translate to Other Languages </summary>
    Warvil can translate text from English to a variety of other languages.
</details>
<details>
  <summary>Explain Programming Code </summary>
    Warvil can provide explanations and examples for programming concepts and code snippets.
</details>
<details>
  <summary>Evaluate Mathematical Expressions </summary>
    Warvil can evaluate and simplify mathematical expressions.
</details>
 
<details>
  <summary>Create Study Notes </summary>
    Warvil can generate study notes based on text input, helping you learn and retain information more effectively.
</details>

<hr />

<!-- LICENSE -->

## License

Distributed under the MIT License. See `LICENSE` for more information.

<!-- CONTACT -->

## Contact

Edward Fernandez: [Wardvisual](https://wardvisual.me/)

Project Link: [Engine Warvil](https://engine-warvil.vercel.app/)
